QGIS Application - Bug report #12796
Export Spatialite point layer to CSV fails on Geometry AS_XY
2015-05-21 02:02 AM - Jochen Huber

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:2.8.2 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 20892
Description

When exporting a Spatialite point layer via "Save as...", geometry is only exported when selecting "AS_WKT". When selecting AS_XY or
AS_YX, only the attribute values are exported (see attached files).
When exporting from a Shapefile, the geometry is written correctly with the option AS_XY.

Related issues:
Related to QGIS Application - Bug report # 10584: Saving as SpatiaLite fails ... Closed 2014-06-14
Duplicates QGIS Application - Bug report # 11597: XY columns are not exported... Closed 2014-11-07

Associated revisions

Revision 518072e9 - 2015-06-01 08:19 PM - Jiirgen Fischer

expression: validate places value of format_number (fixes #12796)

Revision 9ef8b29f - 2015-06-29 06:40 PM - Jiirgen Fischer

expression: validate places value of format_number (fixes #12796)

(cherry picked from commit 518072e9b319fa15848237b2a42a472421a40627)

History

#1 - 2015-05-21 02:14 AM - Saber Razmjooei

- Priority changed from Low to Severe/Regression

- Operating System deleted (OSGeo4W)

- OS version deleted (Windows 7 Prof. x64)

Confirmed also in master but not in 2.6.1.

It is a regression bug and marked as blocker.

#2 - 2015-05-21 02:47 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

#3 - 2015-06-01 05:44 AM - Jurgen Fischer
- Status changed from Open to Feedback

2025-04-27 12




Is that spatialite layer multipoint?

#4 - 2015-06-01 05:53 AM - Saber Razmjooei

Itis MULTIPOINT, indeed.

#5 - 2015-06-01 05:57 AM - Jochen Huber

Yes, itis MULTIPOINT. Tested with POINT, and it works okay.

#6 - 2015-06-01 08:45 AM - Jurgen Fischer

- Status changed from Feedback to Closed

- Resolution set to duplicate

Jochen Huber wrote:

Yes, it is MULTIPOINT. Tested with POINT, and it works okay.

So | guess it's another problem. AS_XY doesn't work for MULTIPOINT. Question is how the multipoint layer was created - maybe related to the two

related tickets.

#7 - 2015-06-01 09:04 AM - Saber Razmjooei

I think it is a problem with QSpatialite plugin. The ones converted to Spatialite through ogr2ogr are fine.

#8 - 2015-06-02 04:16 AM - Jochen Huber

Yes, QSpatialite seems to always (often unnecessarily) generate MULTIPOINT feature sets when importing from QGIS layers.
An error message would be helpful in any case (e.g. "Option AS_XY not supported for MULTIPOINT datasets").

| even think it would be possible to export MULTIPOINT data with AS_XY:

Write one line for every POINT, using the same attributes for every MULTIPOINT part

Add a column "MULTIPART ID" with distinct values fir distinct features and shared values for all parts of a MULTIPOINT.

#9 - 2015-06-02 04:47 AM - Saber Razmjooei

You can always log another ticket as a feature request.
https://github.com/romain974/qgspatialite/issues/32

Files
Export_ WKT.csv 191 Bytes 2015-05-21 Jochen Huber
Export_XY.csv 1.84 KB 2015-05-21 Jochen Huber
